OPENJO_SP(6)

NAME
openjo_sp - Jedi Knight II: Jedi Outcast single-player

SYNOPSIS
openjo_sp [-h|--help] [-q|--quiet] [+set option value]... [+command] ...

DESCRIPTION
openjo_sp runs the single-player version of the first- and third-person action game Star Wars Jedi Knight II: Jedi Outcast, using the OpenJK engine.

OPTIONS
The wrapper script used for OpenJK in Debian accepts these options:

-h, --help
    Display a short help summary

-q, --quiet
    Disable all output

Any console command can also be prefixed with + and used as a command-line option (press Shift+Esc to access the in-game console), including:

+set option value
    Set an option (see below for some options)

Options that can be set with +set (note that this is not a full list!) include:

r_fullscreen <bool>
    1: Play in fullscreen mode; 0: Play in window mode

r_mode <num>
    Sets the screen resolution mode. Set num to -1 to use a customized resolution set via r_customheight and r_customwidth, or -2 to use your normal desktop resolution.

r_customwidth <pixels>
    Use pixels as width if r_mode is set to -1.

r_customheight <pixels>
    Use pixels as height if r_mode is set to -1.

FILES

$XDG_DATA_HOME/openjo, defaulting to ~/.local/share/openjo
    Configuration and state for Jedi Outcast.

ENVIRONMENT
The wrapper script used to launch OpenJK allows it to be debugged by setting environment variables.

OPENJK_DEBUGGER=command
    A debugger or other prefix to prepend to the OpenJK command line, such as strace; overridden by OPENJK_BACKTRACE

OPENJK_BACKTRACE=1
    Use gdb(1) to get a backtrace if OpenJK crashes (the gdb package must be installed for this to work)

SEE ALSO
openjk(6), openjk_sp(6), openjkded(6), /usr/share/doc/openjk-outcast

AUTHOR
Jedi Outcast was written by Raven Software, based on id Software's Quake III Arena engine. The engine used in Debian is OpenJK, maintained by the JACoders community, with various enhancements taken from ioquake3.

This manual page was written by Bruno "Fuddl" Kleinert <fuddl@debian.org> and Simon McVittie <smcv@debian.org>, for the Debian project (but may be used by others).